# -*- encoding : utf-8 -*-
module EventHelper
  def organizer_link event
    if event.organizer.is_a? Group
      group_link(event.organizer)
    else
      event.organizer.name
    end
  end

  def prefix_with_type event
    if event.event_type.eql? "samfundet_meeting"
      "%s: %s" % [t_event_type(event), event.title]
    else
      event.title
    end
  end

  def t_event_type event
    t "events.#{event.event_type}"
  end

  def inline_event_price event
    if event.price.present?
      event.price
        .sort_by(&:price)
        .map { |p| "#{p.price}-"}
        .join(" / ")
    else
      t('events.ticket_included')
    end
  end
end
